Subject: bug#49558: fill paragraph in texinfo-mode fails with @

From: Stefan Monnier <[email-masked]>
Date: Wed, 14 Jul 2021 09:55:45 -0400

> The problem is that all of that is currently a single paragraph -- and I
> don't think that's something we want?  (Try saying
> `M-: (forward-paragraph)' at the start.)

I think the problem here is that our filling code has no notion of
a line being both "a paragraph separator" and "a paragraph" at the
same time.

I agree that it can make sense to treat `@subsection BLABLA` as
a paragraph for navigation purposes, tho one that cannot be filled
because it has to stay as a single line.

There's also something to be said for treating "a sequence paragraph
separators" as a paragraph for navigation purposes.

        Stefan